Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Geeklog < 1.3.11sr4 / 1.4.0sr1 Multiple Vulnerabilities


Vulnerability Assessment Details

Geeklog < 1.3.11sr4 / 1.4.0sr1 Multiple Vulnerabilities

Vulnerability Assessment Summary
Checks for multiple vulnerabilities in Geeklog < 1.3.11sr4 / 1.4.0sr1

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is affected by
multiple flaws.

Description :

The remote host is running Geeklog, an open-source weblog powered by
PHP and MySQL.

The installed version of Geeklog suffers from a number of SQL
injection and local file flaws due to a failure of the application to
sanitize user-supplied input.

See also :

http://www.gulftech.org/?node=research&article_id=00102-02192006
http://www.geeklog.net/article.php/geeklog-1.4.0sr1

Solution :

Upgrade to Geeklog version 1.3.11sr4 / 1.4.0sr1 or later.

Network Security Threat Level:

High / CVSS Base Score : 7.0
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 16755

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Fortinet Fortigate 60 Firewall WITH Adapter
$59.99
Fortinet Fortigate 60 Firewall WITH Adapter pictureCisco Systems Linksys Broadband Firewall Router BEFSX41 v2.1 with VPN Endpoint
$0.99
Cisco Systems Linksys Broadband Firewall Router BEFSX41 v2.1 with VPN Endpoint pictureCisco ASA 5505 Series Adaptive Security Appliance 8-Port 10/00 2x PoE
$73.59
Cisco ASA 5505 Series Adaptive Security Appliance 8-Port 10/00 2x PoE picturePalo Alto Networks Next Generation Firewall Model PA-500
$299.99
Palo Alto Networks Next Generation Firewall Model  PA-500 picture


Discussions

No Discussions have been posted on this vulnerability.